#ifndef Nehebkau_h
#define Nehebkau_h

#include <stdint.h>

#define NEH_HEADER_KEYBOARD 1
#define NEH_HEADER_MOUSE 2
#define NEH_HEADER_RESET 3

// copied from USB_MouseReport_Data_t but added a wheel variable, plus report ID
typedef struct
{
    //uint8_t ReportID; /**< ID of the mouse report. */
    uint8_t Modifier; /**< Keyboard modifier byte, indicating pressed modifier keys (a combination of
                       *   \c HID_KEYBOARD_MODIFER_* masks).
                       */
    uint8_t Reserved; /**< Reserved for OEM use, always set to 0. */
    uint8_t KeyCode[6]; /**< Key codes of the currently pressed keys. */
} __attribute__ ((packed)) KeyboardReport_Data_t;

// copied from USB_MouseReport_Data_t but added a wheel variable, plus report ID
typedef struct
{
    //uint8_t ReportID; /**< ID of the mouse report. */
    uint8_t Button; /**< Button mask for currently pressed buttons in the mouse. */
    int8_t  X; /**< Current delta X movement of the mouse. */
    int8_t  Y; /**< Current delta Y movement on the mouse. */
    int8_t  W; /**< Current delta Wheel movement on the mouse. */
} __attribute__ ((packed)) MouseReport_Data_t;

void Ser_Init(void);
void Ser_Tx(uint16_t);

#endif